{
  "getAllPSAppDEACModes" : [ {
    "codeName" : "Default",
    "logicName" : "DEFAULT",
    "mOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdeacmodes/DEFAULT",
    "name" : "DEFAULT",
    "getPSDEACModeDataItems" : [ {
      "dataType" : 25,
      "name" : "value",
      "getPSAppDEField" : {
        "name" : "SUPPLIERID",
        "codeName" : "SupplierId"
      }
    }, {
      "dataType" : 25,
      "name" : "text",
      "getPSAppDEField" : {
        "name" : "SUPPLIERNAME",
        "codeName" : "SupplierName"
      }
    } ],
    "pagingSize" : 50,
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdeacmodes/DEFAULT",
    "getTextPSAppDEField" : {
      "name" : "SUPPLIERNAME",
      "codeName" : "SupplierName"
    },
    "getValuePSAppDEField" : {
      "name" : "SUPPLIERID",
      "codeName" : "SupplierId"
    },
    "defaultMode" : true,
    "enablePagingBar" : false
  } ],
  "getAllPSAppDEActions" : [ {
    "actionMode" : "CHECKKEY",
    "codeName" : "CheckKey",
    "methodType" : "DEACTION",
    "name" : "CheckKey",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEACTIONS/CheckKey.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "CheckKey"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethods/CheckKey",
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/checkkey",
    "builtinMethod" : false
  }, {
    "actionMode" : "CREATE",
    "codeName" : "Create",
    "methodType" : "DEACTION",
    "name" : "Create",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEACTIONS/Create.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethods/Create",
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "READ",
    "codeName" : "Get",
    "methodType" : "DEACTION",
    "name" : "Get",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "SUPPLIERID",
        "codeName" : "SupplierId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEACTIONS/Get.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethods/Get",
    "requestField" : "SUPPLIERID",
    "requestMethod" : "GET",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "GETDRAFT",
    "codeName" : "GetDraft",
    "methodType" : "DEACTION",
    "name" : "GetDraft",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEACTIONS/GetDraft.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethods/GetDraft",
    "requestMethod" : "GET",
    "requestParamType" : "NONE",
    "requestPath" : "/getdraft",
    "builtinMethod" : false
  }, {
    "actionMode" : "DELETE",
    "batchActionMode" : 1,
    "codeName" : "Remove",
    "methodType" : "DEACTION",
    "name" : "Remove",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "SUPPLIERID",
        "codeName" : "SupplierId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELDS"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEACTIONS/Remove.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "DELETE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethods/Remove",
    "requestField" : "SUPPLIERID",
    "requestMethod" : "DELETE",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "enableBatchAction" : true,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "UNKNOWN",
    "codeName" : "Save",
    "methodType" : "DEACTION",
    "name" : "Save",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEACTIONS/Save.json"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Save"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethods/Save",
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/save",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "actionMode" : "UPDATE",
    "codeName" : "Update",
    "methodType" : "DEACTION",
    "name" : "Update",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEACTIONS/Update.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "UPDATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethods/Update",
    "requestMethod" : "PUT",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  } ],
  "getAllPSAppDEDataSets" : [ {
    "codeName" : "FetchDefault",
    "methodType" : "FETCH",
    "name" : "FetchDefault",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "Default"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethods/FetchDefault",
    "requestMethod" : "GET",
    "requestParamType" : "URIPARAM",
    "requestPath" : "/fetchdefault",
    "builtinMethod" : false
  } ],
  "getAllPSAppDEFields" : [ {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/DELETEFLAG/psappdefuimodes/Default",
      "name" : "[DELETEFLAG][是否删除标记]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "是否删除标记",
          "lanResTag" : "DEF.LNAME.DELETEFLAG",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto1666",
          "name" : "属性逻辑名称（DEF.LNAME.*）[DELETEFLAG]",
          "rTMOSFilePath" : "pslanguageres/Auto1666",
          "refFlag" : true
        },
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/DELETEFLAG/psdefformitems/Default",
        "name" : "[DELETEFLAG][是否删除标记]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/DeleteFlag/psdefformitems/Default",
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/DeleteFlag/psappdefuimodes/Default",
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/DELETEFLAG/psappdefuimodes/MobileDefault",
      "name" : "[DELETEFLAG][是否删除标记]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "是否删除标记",
          "lanResTag" : "DEF.LNAME.DELETEFLAG",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto1666",
          "name" : "属性逻辑名称（DEF.LNAME.*）[DELETEFLAG]",
          "rTMOSFilePath" : "pslanguageres/Auto1666",
          "refFlag" : true
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/DELETEFLAG/psdefformitems/MobileDefault",
        "name" : "[DELETEFLAG][是否删除标记]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/DeleteFlag/psdefformitems/MobileDefault",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/DeleteFlag/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "DeleteFlag",
    "getLNPSLanguageRes" : {
      "defaultContent" : "是否删除标记",
      "lanResTag" : "DEF.LNAME.DELETEFLAG",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto1666",
      "name" : "属性逻辑名称（DEF.LNAME.*）[DELETEFLAG]",
      "rTMOSFilePath" : "pslanguageres/Auto1666",
      "refFlag" : true
    },
    "logicName" : "是否删除标记",
    "name" : "DELETEFLAG",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/DeleteFlag",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/CREATEBY/psappdefuimodes/MobileDefault",
      "name" : "[CREATEBY][创建人]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "创建人",
          "lanResTag" : "DEF.LNAME.CREATEBY",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto1464",
          "name" : "属性逻辑名称（DEF.LNAME.*）[CREATEBY]",
          "rTMOSFilePath" : "pslanguageres/Auto1464",
          "refFlag" : true
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/CREATEBY/psdefformitems/MobileDefault",
        "name" : "[CREATEBY][创建人]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/CreateBy/psdefformitems/MobileDefault",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/CreateBy/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/CREATEBY/psappdefuimodes/Default",
      "name" : "[CREATEBY][创建人]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "创建人",
          "lanResTag" : "DEF.LNAME.CREATEBY",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto1464",
          "name" : "属性逻辑名称（DEF.LNAME.*）[CREATEBY]",
          "rTMOSFilePath" : "pslanguageres/Auto1464",
          "refFlag" : true
        },
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/CREATEBY/psdefformitems/Default",
        "name" : "[CREATEBY][创建人]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/CreateBy/psdefformitems/Default",
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/CreateBy/psappdefuimodes/Default",
      "type" : "DEFAULT"
    } ],
    "codeName" : "CreateBy",
    "getLNPSLanguageRes" : {
      "defaultContent" : "创建人",
      "lanResTag" : "DEF.LNAME.CREATEBY",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto1464",
      "name" : "属性逻辑名称（DEF.LNAME.*）[CREATEBY]",
      "rTMOSFilePath" : "pslanguageres/Auto1464",
      "refFlag" : true
    },
    "logicName" : "创建人",
    "name" : "CREATEBY",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/CreateBy",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/UPDATEBY/psappdefuimodes/MobileDefault",
      "name" : "[UPDATEBY][更新人]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "更新人",
          "lanResTag" : "DEF.LNAME.UPDATEBY",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto171",
          "name" : "属性逻辑名称（DEF.LNAME.*）[UPDATEBY]",
          "rTMOSFilePath" : "pslanguageres/Auto171",
          "refFlag" : true
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/UPDATEBY/psdefformitems/MobileDefault",
        "name" : "[UPDATEBY][更新人]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/UpdateBy/psdefformitems/MobileDefault",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/UpdateBy/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/UPDATEBY/psappdefuimodes/Default",
      "name" : "[UPDATEBY][更新人]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "更新人",
          "lanResTag" : "DEF.LNAME.UPDATEBY",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto171",
          "name" : "属性逻辑名称（DEF.LNAME.*）[UPDATEBY]",
          "rTMOSFilePath" : "pslanguageres/Auto171",
          "refFlag" : true
        },
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/UPDATEBY/psdefformitems/Default",
        "name" : "[UPDATEBY][更新人]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/UpdateBy/psdefformitems/Default",
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/UpdateBy/psappdefuimodes/Default",
      "type" : "DEFAULT"
    } ],
    "codeName" : "UpdateBy",
    "getLNPSLanguageRes" : {
      "defaultContent" : "更新人",
      "lanResTag" : "DEF.LNAME.UPDATEBY",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto171",
      "name" : "属性逻辑名称（DEF.LNAME.*）[UPDATEBY]",
      "rTMOSFilePath" : "pslanguageres/Auto171",
      "refFlag" : true
    },
    "logicName" : "更新人",
    "name" : "UPDATEBY",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/UpdateBy",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/UPDATETIME/psappdefuimodes/MobileDefault",
      "name" : "[UPDATETIME][更新时间]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "更新时间",
          "lanResTag" : "DEF.LNAME.UPDATETIME",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto100",
          "name" : "属性逻辑名称（DEF.LNAME.*）[UPDATETIME]",
          "rTMOSFilePath" : "pslanguageres/Auto100",
          "refFlag" : true
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBDATE",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/UPDATETIME/psdefformitems/MobileDefault",
        "name" : "[UPDATETIME][更新时间]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/UpdateTime/psdefformitems/MobileDefault",
        "uIMode" : "MOBILEDEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/UpdateTime/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/UPDATETIME/psappdefuimodes/Default",
      "name" : "[UPDATETIME][更新时间]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "更新时间",
          "lanResTag" : "DEF.LNAME.UPDATETIME",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto100",
          "name" : "属性逻辑名称（DEF.LNAME.*）[UPDATETIME]",
          "rTMOSFilePath" : "pslanguageres/Auto100",
          "refFlag" : true
        },
        "codeName" : "Default",
        "editorType" : "DATEPICKER",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/UPDATETIME/psdefformitems/Default",
        "name" : "[UPDATETIME][更新时间]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/UpdateTime/psdefformitems/Default",
        "uIMode" : "DEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/UpdateTime/psappdefuimodes/Default",
      "type" : "DEFAULT"
    } ],
    "codeName" : "UpdateTime",
    "getLNPSLanguageRes" : {
      "defaultContent" : "更新时间",
      "lanResTag" : "DEF.LNAME.UPDATETIME",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto100",
      "name" : "属性逻辑名称（DEF.LNAME.*）[UPDATETIME]",
      "rTMOSFilePath" : "pslanguageres/Auto100",
      "refFlag" : true
    },
    "logicName" : "更新时间",
    "name" : "UPDATETIME",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/UpdateTime",
    "stdDataType" : 5,
    "valueFormat" : "YYYY-MM-DD HH:mm:ss"
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/EMAIL/psappdefuimodes/Default",
      "name" : "[EMAIL][邮箱]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "邮箱",
          "lanResTag" : "DEF.LNAME.EMAIL",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto759",
          "name" : "属性逻辑名称（DEF.LNAME.*）[EMAIL]",
          "rTMOSFilePath" : "pslanguageres/Auto759",
          "refFlag" : true
        },
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/EMAIL/psdefformitems/Default",
        "name" : "[EMAIL][邮箱]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/EMail/psdefformitems/Default",
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/EMail/psappdefuimodes/Default",
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/EMAIL/psappdefuimodes/MobileDefault",
      "name" : "[EMAIL][邮箱]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "邮箱",
          "lanResTag" : "DEF.LNAME.EMAIL",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto759",
          "name" : "属性逻辑名称（DEF.LNAME.*）[EMAIL]",
          "rTMOSFilePath" : "pslanguageres/Auto759",
          "refFlag" : true
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/EMAIL/psdefformitems/MobileDefault",
        "name" : "[EMAIL][邮箱]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/EMail/psdefformitems/MobileDefault",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/EMail/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "EMail",
    "getLNPSLanguageRes" : {
      "defaultContent" : "邮箱",
      "lanResTag" : "DEF.LNAME.EMAIL",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto759",
      "name" : "属性逻辑名称（DEF.LNAME.*）[EMAIL]",
      "rTMOSFilePath" : "pslanguageres/Auto759",
      "refFlag" : true
    },
    "logicName" : "邮箱",
    "name" : "EMAIL",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/EMail",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/SUPPLIERNAME/psappdefuimodes/Default",
      "name" : "[SUPPLIERNAME][供应商名称]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "供应商名称",
          "lanResTag" : "DEF.LNAME.SUPPLIERNAME",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto1377",
          "name" : "属性逻辑名称（DEF.LNAME.*）[SUPPLIERNAME]",
          "rTMOSFilePath" : "pslanguageres/Auto1377",
          "refFlag" : true
        },
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/SUPPLIERNAME/psdefformitems/Default",
        "name" : "[SUPPLIERNAME][供应商名称]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/SupplierName/psdefformitems/Default",
        "stringLength" : 200,
        "uIMode" : "DEFAULT"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/SupplierName/psappdefuimodes/Default",
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/SUPPLIERNAME/psappdefuimodes/MobileDefault",
      "name" : "[SUPPLIERNAME][供应商名称]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "供应商名称",
          "lanResTag" : "DEF.LNAME.SUPPLIERNAME",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto1377",
          "name" : "属性逻辑名称（DEF.LNAME.*）[SUPPLIERNAME]",
          "rTMOSFilePath" : "pslanguageres/Auto1377",
          "refFlag" : true
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/SUPPLIERNAME/psdefformitems/MobileDefault",
        "name" : "[SUPPLIERNAME][供应商名称]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/SupplierName/psdefformitems/MobileDefault",
        "stringLength" : 200,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/SupplierName/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "SupplierName",
    "getLNPSLanguageRes" : {
      "defaultContent" : "供应商名称",
      "lanResTag" : "DEF.LNAME.SUPPLIERNAME",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto1377",
      "name" : "属性逻辑名称（DEF.LNAME.*）[SUPPLIERNAME]",
      "rTMOSFilePath" : "pslanguageres/Auto1377",
      "refFlag" : true
    },
    "logicName" : "供应商名称",
    "name" : "SUPPLIERNAME",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/SupplierName",
    "stdDataType" : 25,
    "stringLength" : 200,
    "enableQuickSearch" : true,
    "majorField" : true
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/CREATETIME/psappdefuimodes/MobileDefault",
      "name" : "[CREATETIME][创建时间]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "创建时间",
          "lanResTag" : "DEF.LNAME.CREATETIME",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto949",
          "name" : "属性逻辑名称（DEF.LNAME.*）[CREATETIME]",
          "rTMOSFilePath" : "pslanguageres/Auto949",
          "refFlag" : true
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBDATE",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/CREATETIME/psdefformitems/MobileDefault",
        "name" : "[CREATETIME][创建时间]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/CreateTime/psdefformitems/MobileDefault",
        "uIMode" : "MOBILEDEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/CreateTime/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/CREATETIME/psappdefuimodes/Default",
      "name" : "[CREATETIME][创建时间]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "创建时间",
          "lanResTag" : "DEF.LNAME.CREATETIME",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto949",
          "name" : "属性逻辑名称（DEF.LNAME.*）[CREATETIME]",
          "rTMOSFilePath" : "pslanguageres/Auto949",
          "refFlag" : true
        },
        "codeName" : "Default",
        "editorType" : "DATEPICKER",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/CREATETIME/psdefformitems/Default",
        "name" : "[CREATETIME][创建时间]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/CreateTime/psdefformitems/Default",
        "uIMode" : "DEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/CreateTime/psappdefuimodes/Default",
      "type" : "DEFAULT"
    } ],
    "codeName" : "CreateTime",
    "getLNPSLanguageRes" : {
      "defaultContent" : "创建时间",
      "lanResTag" : "DEF.LNAME.CREATETIME",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto949",
      "name" : "属性逻辑名称（DEF.LNAME.*）[CREATETIME]",
      "rTMOSFilePath" : "pslanguageres/Auto949",
      "refFlag" : true
    },
    "logicName" : "创建时间",
    "name" : "CREATETIME",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/CreateTime",
    "stdDataType" : 5,
    "valueFormat" : "YYYY-MM-DD HH:mm:ss"
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/ADDRESS/psappdefuimodes/MobileDefault",
      "name" : "[ADDRESS][地址]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "地址",
          "lanResTag" : "DEF.LNAME.IBIZSUPPLIER.ADDRESS",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto1474",
          "name" : "属性逻辑名称（DEF.LNAME.*）[IBIZSUPPLIER.ADDRESS]",
          "rTMOSFilePath" : "pslanguageres/Auto1474",
          "refFlag" : true
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/ADDRESS/psdefformitems/MobileDefault",
        "name" : "[ADDRESS][地址]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/Address/psdefformitems/MobileDefault",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/Address/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/ADDRESS/psappdefuimodes/Default",
      "name" : "[ADDRESS][地址]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "地址",
          "lanResTag" : "DEF.LNAME.IBIZSUPPLIER.ADDRESS",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto1474",
          "name" : "属性逻辑名称（DEF.LNAME.*）[IBIZSUPPLIER.ADDRESS]",
          "rTMOSFilePath" : "pslanguageres/Auto1474",
          "refFlag" : true
        },
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/ADDRESS/psdefformitems/Default",
        "name" : "[ADDRESS][地址]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/Address/psdefformitems/Default",
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/Address/psappdefuimodes/Default",
      "type" : "DEFAULT"
    } ],
    "codeName" : "Address",
    "getLNPSLanguageRes" : {
      "defaultContent" : "地址",
      "lanResTag" : "DEF.LNAME.IBIZSUPPLIER.ADDRESS",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto1474",
      "name" : "属性逻辑名称（DEF.LNAME.*）[IBIZSUPPLIER.ADDRESS]",
      "rTMOSFilePath" : "pslanguageres/Auto1474",
      "refFlag" : true
    },
    "logicName" : "地址",
    "name" : "ADDRESS",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/Address",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/SUPPLIERID/psappdefuimodes/Default",
      "name" : "[SUPPLIERID][供应商标识]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "供应商标识",
          "lanResTag" : "DEF.LNAME.SUPPLIERID",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto1191",
          "name" : "属性逻辑名称（DEF.LNAME.*）[SUPPLIERID]",
          "rTMOSFilePath" : "pslanguageres/Auto1191",
          "refFlag" : true
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/SUPPLIERID/psdefformitems/Default",
        "name" : "[SUPPLIERID][供应商标识]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/SupplierId/psdefformitems/Default",
        "stringLength" : 60,
        "uIMode" : "DEFAULT"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/SupplierId/psappdefuimodes/Default",
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/SUPPLIERID/psappdefuimodes/MobileDefault",
      "name" : "[SUPPLIERID][供应商标识]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "供应商标识",
          "lanResTag" : "DEF.LNAME.SUPPLIERID",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto1191",
          "name" : "属性逻辑名称（DEF.LNAME.*）[SUPPLIERID]",
          "rTMOSFilePath" : "pslanguageres/Auto1191",
          "refFlag" : true
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdefields/SUPPLIERID/psdefformitems/MobileDefault",
        "name" : "[SUPPLIERID][供应商标识]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/SupplierId/psdefformitems/MobileDefault",
        "stringLength" : 60,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/SupplierId/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "SupplierId",
    "getLNPSLanguageRes" : {
      "defaultContent" : "供应商标识",
      "lanResTag" : "DEF.LNAME.SUPPLIERID",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto1191",
      "name" : "属性逻辑名称（DEF.LNAME.*）[SUPPLIERID]",
      "rTMOSFilePath" : "pslanguageres/Auto1191",
      "refFlag" : true
    },
    "logicName" : "供应商标识",
    "name" : "SUPPLIERID",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdefields/SupplierId",
    "stdDataType" : 25,
    "stringLength" : 60,
    "keyField" : true
  } ],
  "getAllPSAppDEMethodDTOs" : [ {
    "codeName" : "IBIZSupplierDTO",
    "name" : "IBIZSupplierDTO",
    "getPSAppDEMethodDTOFields" : [ {
      "codeName" : "Address",
      "logicName" : "地址",
      "name" : "Address",
      "getPSAppDEField" : {
        "name" : "ADDRESS",
        "codeName" : "Address"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethoddtos/IBIZSupplierDTO/psappdemethoddtofields/Address",
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "CreateBy",
      "logicName" : "创建人",
      "name" : "CreateBy",
      "getPSAppDEField" : {
        "name" : "CREATEBY",
        "codeName" : "CreateBy"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethoddtos/IBIZSupplierDTO/psappdemethoddtofields/CreateBy",
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "CreateTime",
      "jsonFormat" : "yyyy-MM-dd HH:mm:ss",
      "logicName" : "创建时间",
      "name" : "CreateTime",
      "getPSAppDEField" : {
        "name" : "CREATETIME",
        "codeName" : "CreateTime"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethoddtos/IBIZSupplierDTO/psappdemethoddtofields/CreateTime",
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE"
    }, {
      "codeName" : "EMail",
      "logicName" : "邮箱",
      "name" : "EMail",
      "getPSAppDEField" : {
        "name" : "EMAIL",
        "codeName" : "EMail"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethoddtos/IBIZSupplierDTO/psappdemethoddtofields/EMail",
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "SupplierId",
      "logicName" : "供应商标识",
      "name" : "SupplierId",
      "getPSAppDEField" : {
        "name" : "SUPPLIERID",
        "codeName" : "SupplierId"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethoddtos/IBIZSupplierDTO/psappdemethoddtofields/SupplierId",
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "SupplierName",
      "logicName" : "供应商名称",
      "name" : "SupplierName",
      "getPSAppDEField" : {
        "name" : "SUPPLIERNAME",
        "codeName" : "SupplierName"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethoddtos/IBIZSupplierDTO/psappdemethoddtofields/SupplierName",
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "UpdateBy",
      "logicName" : "更新人",
      "name" : "UpdateBy",
      "getPSAppDEField" : {
        "name" : "UPDATEBY",
        "codeName" : "UpdateBy"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethoddtos/IBIZSupplierDTO/psappdemethoddtofields/UpdateBy",
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "UpdateTime",
      "jsonFormat" : "yyyy-MM-dd HH:mm:ss",
      "logicName" : "更新时间",
      "name" : "UpdateTime",
      "getPSAppDEField" : {
        "name" : "UPDATETIME",
        "codeName" : "UpdateTime"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethoddtos/IBIZSupplierDTO/psappdemethoddtofields/UpdateTime",
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE"
    } ],
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethoddtos/IBIZSupplierDTO",
    "sourceType" : "DE",
    "type" : "DEFAULT"
  }, {
    "codeName" : "IBIZSupplierFilterDTO",
    "name" : "IBIZSupplierFilterDTO",
    "getPSAppDEMethodDTOFields" : [ {
      "codeName" : "N_SUPPLIERID_EQ",
      "logicName" : "供应商标识",
      "name" : "N_SUPPLIERID_EQ",
      "getPSAppDEField" : {
        "name" : "SUPPLIERID",
        "codeName" : "SupplierId"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethoddtos/IBIZSupplierFilterDTO/psappdemethoddtofields/N_SUPPLIERID_EQ",
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_SUPPLIERNAME_LIKE",
      "logicName" : "供应商名称",
      "name" : "N_SUPPLIERNAME_LIKE",
      "getPSAppDEField" : {
        "name" : "SUPPLIERNAME",
        "codeName" : "SupplierName"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethoddtos/IBIZSupplierFilterDTO/psappdemethoddtofields/N_SUPPLIERNAME_LIKE",
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    } ],
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethoddtos/IBIZSupplierFilterDTO",
    "sourceType" : "DE",
    "type" : "DEFILTER"
  } ],
  "getAllPSAppDEMethods" : [ {
    "actionMode" : "CHECKKEY",
    "codeName" : "CheckKey",
    "methodType" : "DEACTION",
    "name" : "CheckKey",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEACTIONS/CheckKey.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "CheckKey"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethods/CheckKey",
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/checkkey",
    "builtinMethod" : false
  }, {
    "actionMode" : "CREATE",
    "codeName" : "Create",
    "methodType" : "DEACTION",
    "name" : "Create",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEACTIONS/Create.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethods/Create",
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "READ",
    "codeName" : "Get",
    "methodType" : "DEACTION",
    "name" : "Get",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "SUPPLIERID",
        "codeName" : "SupplierId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEACTIONS/Get.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethods/Get",
    "requestField" : "SUPPLIERID",
    "requestMethod" : "GET",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "GETDRAFT",
    "codeName" : "GetDraft",
    "methodType" : "DEACTION",
    "name" : "GetDraft",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEACTIONS/GetDraft.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethods/GetDraft",
    "requestMethod" : "GET",
    "requestParamType" : "NONE",
    "requestPath" : "/getdraft",
    "builtinMethod" : false
  }, {
    "actionMode" : "DELETE",
    "batchActionMode" : 1,
    "codeName" : "Remove",
    "methodType" : "DEACTION",
    "name" : "Remove",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "SUPPLIERID",
        "codeName" : "SupplierId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELDS"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEACTIONS/Remove.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "DELETE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethods/Remove",
    "requestField" : "SUPPLIERID",
    "requestMethod" : "DELETE",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "enableBatchAction" : true,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "UNKNOWN",
    "codeName" : "Save",
    "methodType" : "DEACTION",
    "name" : "Save",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEACTIONS/Save.json"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Save"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethods/Save",
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/save",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "actionMode" : "UPDATE",
    "codeName" : "Update",
    "methodType" : "DEACTION",
    "name" : "Update",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEACTIONS/Update.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "UPDATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethods/Update",
    "requestMethod" : "PUT",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "codeName" : "FetchDefault",
    "methodType" : "FETCH",
    "name" : "FetchDefault",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "Default"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethods/FetchDefault",
    "requestMethod" : "GET",
    "requestParamType" : "URIPARAM",
    "requestPath" : "/fetchdefault",
    "builtinMethod" : false
  }, {
    "codeName" : "FilterCreate",
    "methodType" : "FILTERACTION",
    "name" : "FILTERCREATE",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethods/FilterCreate",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterFetch",
    "methodType" : "FILTERACTION",
    "name" : "FILTERFETCH",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethods/FilterFetch",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterGet",
    "methodType" : "FILTERACTION",
    "name" : "FILTERGET",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethods/FilterGet",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterGetDraft",
    "methodType" : "FILTERACTION",
    "name" : "FILTERGETDRAFT",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethods/FilterGetDraft",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterRemove",
    "methodType" : "FILTERACTION",
    "name" : "FILTERREMOVE",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethods/FilterRemove",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterSearch",
    "methodType" : "FILTERACTION",
    "name" : "FILTERSEARCH",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethods/FilterSearch",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterUpdate",
    "methodType" : "FILTERACTION",
    "name" : "FILTERUPDATE",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethods/FilterUpdate",
    "builtinMethod" : true
  }, {
    "codeName" : "Select",
    "methodType" : "SELECT",
    "name" : "Select",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "type" : "UNKNOWN"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "UNKNOWN"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Select"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier/psappdemethods/Select",
    "requestMethod" : "GET",
    "requestParamType" : "URIPARAM",
    "requestPath" : "/select",
    "builtinMethod" : false
  } ],
  "getAllPSDEOPPrivs" : [ {
    "logicName" : "建立",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdeopprivs/CREATE",
    "name" : "CREATE",
    "rTMOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdeopprivs/CREATE"
  }, {
    "logicName" : "删除",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdeopprivs/DELETE",
    "name" : "DELETE",
    "rTMOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdeopprivs/DELETE"
  }, {
    "logicName" : "读取",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdeopprivs/READ",
    "name" : "READ",
    "rTMOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdeopprivs/READ"
  }, {
    "logicName" : "更新",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdeopprivs/UPDATE",
    "name" : "UPDATE",
    "rTMOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdeopprivs/UPDATE"
  } ],
  "codeName" : "IBIZSupplier",
  "dEAPITag" : "IBIZSUPPLIER",
  "dataAccCtrlArch" : 1,
  "dataAccCtrlMode" : 1,
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSupplier.json",
  "enableUIActions" : 15,
  "getKeyPSAppDEField" : {
    "name" : "SUPPLIERID",
    "codeName" : "SupplierId"
  },
  "getLNPSLanguageRes" : {
    "defaultContent" : "供货商",
    "lanResTag" : "DE.LNAME.IBIZSUPPLIER",
    "lanResType" : "DE.LNAME",
    "mOSFilePath" : "pslanguageres/Auto472",
    "name" : "实体逻辑名称（DE.LNAME.*）[IBIZSUPPLIER]",
    "rTMOSFilePath" : "pslanguageres/Auto472",
    "refFlag" : true
  },
  "logicName" : "供货商",
  "mOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier",
  "getMajorPSAppDEField" : {
    "name" : "SUPPLIERNAME",
    "codeName" : "SupplierName"
  },
  "name" : "IBIZSUPPLIER",
  "getPSDEName" : "IBIZSUPPLIER",
  "getPSDEServiceAPI" : {
    "modelref" : true,
    "id" : "IBIZSupplier"
  },
  "getPSDataEntity" : {
    "modelref" : true,
    "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier.json"
  },
  "getPSSysImage" : {
    "glyph" : "xf0f9@FontAwesome",
    "cssClass" : "fa fa-ambulance"
  },
  "getPSSysServiceAPI" : {
    "modelref" : true,
    "path" : "PSSYSSERVICEAPIS/DemoAPI.json"
  },
  "getQuickSearchPSAppDEFields" : [ {
    "name" : "SUPPLIERNAME",
    "codeName" : "SupplierName"
  } ],
  "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSupplier",
  "storageMode" : 0,
  "sysAPITag" : "DemoAPI",
  "defaultMode" : true,
  "enableFilterActions" : true,
  "enableUICreate" : true,
  "enableUIModify" : true,
  "enableUIRemove" : true,
  "enableWFActions" : false,
  "major" : true
}